Subject: Re: [PATCH 2/2] rm: introduce advice.rmHints to shorten messages

From: Matthieu Moy <[email-masked]>
Date: Mon, 10 Jun 2013 10:24:04 +0200

Ramkumar Ramachandra <[email-masked]> writes:

> Mathieu Liénard--Mayor wrote:
>> I'm not so sure i understand. Do you mean rmHints should deactivate addHints
>> aswell, or do you mean that since we're introducing rmHints it would be
>> natural to introduce addHints ?
>
> More the latter, but I'm tilting towards addRmHints (or something)
> which affects both add and rm hints.

I don't see why add and rm hints should be correlated, or I don't have
the same advice as you in mind.

$ git add foo.txt
The following paths are ignored by one of your .gitignore files:
foo.txt
Use -f if you really want to add them.
fatal: no files added

$ git rm foo.txt 
error: 'foo.txt' has changes staged in the index
(use --cached to keep the file, or -f to force removal)

Both have completely different meanings: the first is about .gitignore,
and the second about not loosing data.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/